@echo off
setlocal

REM ******************************************************
REM * Gather Input needed from the user
REM ******************************************************

REM *-----------------------------
REM * Get Install Home Path input
REM *-----------------------------
:installinput
echo 'Enter Installation Home Directory:'
set /P INSTALL_HOME=Install Home Directory:

if exist "%INSTALL_HOME%/properties/WSCustomConstants.wbm.properties" goto wasinput

REM *--------------------------
REM * Bad Install Home path
REM *--------------------------
echo The Installation Home directory %INSTALL_HOME% is invalid.
echo If you installed both Monitor Server and Portal Dashboards then your 
echo Installation Home is the Monitor Server '(WAS 6.1)' root
echo example C:/Program Files/IBM/WebSphere/MonServer
echo ...
echo If you only installed Portal Dashboards then your 
echo Installation Home is the Portal Server root
echo example C:/Program Files/IBM/WebSphere/PortalServer
echo
goto installinput

REM *--------------------------
REM * get was Home path input 
REM *--------------------------
:wasinput
set /P WAS_HOME=WAS Home Directory:

if exist "%WAS_HOME%/bin/ws_ant.bat" goto pwinput

REM *--------------------------
REM * Bad WAS Home path
REM *--------------------------
echo The WAS Home directory %WAS_HOME% is invalid.
echo If you installed both Monitor Server and Portal Dashboards then your 
echo WAS Home is the Monitor Server '(WAS 6.1)' root
echo example C:/Program Files/IBM/WebSphere/MonServer
echo ...
echo If you only installed Portal Dashboards then your 
echo WAS Home is the Portal Server WAS '(6.0.2)' root
echo example C:/Program Files/IBM/WebSphere/AppServer
echo
goto wasinput

REM *--------------------------
REM * Get Portal Admin password
REM *--------------------------
:pwinput
set /P PORTAL_ADMIN_PASSWORD=Password:

set JAVA_HOME=%WAS_HOME%/java
set CONF_ACTION_DIR=%CD%

REM *------------------------------------------------------------------
REM * write properties file to be loaded for POrtlet execution scripts
REM *------------------------------------------------------------------
type wa.properties > run.properties
echo was.install.root=%INSTALL_HOME%>> run.properties
echo WAS_HOME=%WAS_HOME%>> run.properties
echo PORTAL_ADMIN_PASSWORD=%PORTAL_ADMIN_PASSWORD%>> run.properties

REM ******************************************************
REM * Execute POrtlet installation scripts
REM ******************************************************
call "%WAS_HOME%/bin/ws_ant.bat" -propertyfile run.properties -v -f %CONF_ACTION_DIR%/40S_InstallDashboardPortlets.ant
call "%WAS_HOME%/bin/ws_ant.bat" -propertyfile run.properties -v -f %CONF_ACTION_DIR%/50S_InstallABXDashboardPortlets.ant

REM ******************************************************
REM * Cleanup
REM ******************************************************
erase run.properties

:end
endlocal
@echo on